Package org.eclipse.gef.palette

# Class PaletteSeparator

java.lang.Object
org.eclipse.gef.palette.PaletteEntry
org.eclipse.gef.palette.PaletteSeparator

public class PaletteSeparator extends PaletteEntry
A separator for the palette
Separators can also be used as markers. Palettes that expect external code to add entries to it can use such markers to indicate where those new entries should be added. For this to happen, a separator must be uniquely identified. Unless a separator is not a marker, it is recommended that it be given a unique ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`PALETTE_TYPE_SEPARATOR`
Type identifier

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`listeners, PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

## Constructor Summary

Constructors
Constructor
Description
`PaletteSeparator()`
Creates a new PaletteSeparator with an empty string as its identifier.
`PaletteSeparator(String id)`
Constructor

## Method Summary

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PALETTE_TYPE_SEPARATOR

public static final Object PALETTE_TYPE_SEPARATOR
Type identifier

## Constructor Details

### PaletteSeparator

public PaletteSeparator()
Creates a new PaletteSeparator with an empty string as its identifier.

### PaletteSeparator

public PaletteSeparator(String id)
Constructor

Parameters:
  `id` - This Separator's unique ID